DotsDocs
Payout agents

Pause a Payout Agent

Pause a payout agent. The agent's new payouts are rejected with `payout-agent-paused` immediately. Payouts it already queued that have not reached a provider are canceled and their funds return to the agent's available balance. Payouts already submitted to a provider are canceled on a best-effort basis; follow each payout's `cancellation` object for the outcome. Pausing an already paused agent requests cancellation of its in-flight payouts again.

POST
/v2/payout-agents/{payout_agent_id}/pause

Pause a payout agent. The agent's new payouts are rejected with payout-agent-paused immediately. Payouts it already queued that have not reached a provider are canceled and their funds return to the agent's available balance. Payouts already submitted to a provider are canceled on a best-effort basis; follow each payout's cancellation object for the outcome. Pausing an already paused agent requests cancellation of its in-flight payouts again.

AuthorizationBasic <token>

In: header

Path Parameters

payout_agent_id*string

ID of the payout agent.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/pause"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "payout_agent",  "api_app_id": "ad6a2ad4-d593-4e3e-bfd5-50592ed119ca",  "name": "string",  "status": "active",  "paused_at": "2019-08-24T14:15:22Z",  "created": "2019-08-24T14:15:22Z",  "currency": "usd",  "available_balance": 0,  "committed_balance": 0,  "rules": {    "max_payout_amount": 0,    "recipient_restriction_enabled": true,    "spending_caps": [      {        "amount": 0,        "window_seconds": 0,        "used": 0,        "remaining": 0      }    ]  }}